package com.zfire.jiasm.syncdata.upload.order;

import com.zfire.jiasm.syncdata.common.OldForNewUploadLogic;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * 以旧换新-单独上传鉴定+附件数据
 */
@Slf4j
@Component
public class OldForNewUpload {
	@Autowired
	OldForNewUploadLogic oldForNewUploadLogic;



	/**
	 * 1：以旧换新鉴定单上传 会生成待入库条码上传记录数据
	 * 鉴定单同步状态已同步过不再同步，避免条码被使用的情况
	 * 图片同步失败不同步
	 * 同步完成后写upload表及更新同步状态方便查看
	 *    新增待入库条码上传记录
	 * @return
	 */
	@Scheduled(fixedDelay = 10 * 1000)
	public void tradeOldForNewCollection() {
		oldForNewUploadLogic.collection();
	}

	/**
	 * 2：读取待入库条码上传记录表数据，生成条码信息上传任务数据
	 */
	@Scheduled(fixedDelay = 20 * 1000)
	public void stockBarcodeInfoDonwlodToUpload() {
		oldForNewUploadLogic.stockBarcodeInfoDonwlodToUpload();
	}


	/**
	 * 上传条码信息到总部（需要上传了barcodeInfo主表数据，上传的stockin和stockout才有有效）
	 */
	@Scheduled(fixedDelay = 20 * 1000)
	public void stockBarcodeInfoUpload() {
		oldForNewUploadLogic.stockBarcodeInfoUpload();
	}



}
